Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.eindex.master
Class MatchResult

    java.lang.Object
      com.stc.eindex.master.MatchResult

All Implemented Interfaces:
  java.io.Externalizable, java.io.Serializable

public class MatchResult
extends java.lang.Object
implements java.io.Externalizable

The MatchResult class contains the return values for a call to any of the "executeMatch" methods (that is, executeMatch, executeMatchUpdate, executeMatchDupRecalc, executeMatchUpdateDupRecalc, or executeMatchGui). The return values indicate whether a new enterprise object was created, an assumed match was made, or a matching local ID and system was found in the database.

See Also:
  Serialized Form

Constructor Summary
`MatchResult()` Creates a new instance of the MatchResult class.
`MatchResult(java.lang.String euid, int resultCode, java.lang.String transNo, PotentialDuplicate[] potentialDuplicates)` Creates a new instance of the MatchResult class.
`MatchResult(java.lang.String euid, int resultCode, java.lang.String transNo, PotentialDuplicate[] potentialDuplicates, java.lang.Boolean matchFieldChanged)` Creates a new instance of the MatchResult class that indicates whether a match field was updated as a result of the match process.

Method Summary
`java.lang.String` | `getEUID()` Retrieves the EUID in a MatchResult object.
`boolean` | `getMatchFieldChanged()` Retrieves an indicator of whether a match field was updated during the match process.
`PotentialDuplicate[]` | `getPotentialDuplicates()` Retrieves an array of the potential duplicates (class PotentialDuplidate) in a MatchResult object.
`int` | `getResultCode()` Retrieves the result code in a MatchResult object.
`java.lang.String` | `getTransactionNumber()` Retrieves the transaction number in a MatchResult object.
`java.lang.String` | `toString()` Displays a String representation of the match result object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MatchResult

    public MatchResult()

  Creates a new instance of the MatchResult class.

  Parameters:
    None.
  Throws:
    None.

### MatchResult

    public MatchResult(java.lang.String euid,
                       int resultCode,
                       java.lang.String transNo,
                       PotentialDuplicate[] potentialDuplicates)

  Creates a new instance of the MatchResult class.

  Parameters:
    `euid` - The EUID of the record that was created or updated.
    `resultCode` - The result code, which indicates how the records were processed.
    `transNo` - The transaction number generated by the call to the execute match method.
    `potentialDuplicates` - An array of potential duplicates created by processing the call to the execute match method.
  Throws:
    None.

### MatchResult

    public MatchResult(java.lang.String euid,
                       int resultCode,
                       java.lang.String transNo,
                       PotentialDuplicate[] potentialDuplicates,
                       java.lang.Boolean matchFieldChanged)

  Creates a new instance of the MatchResult class that indicates whether a match field was updated as a result of the match process.

  Parameters:
    `euid` - The EUID of the record that was created or updated.
    `resultCode` - The result code, which indicates how the records were processed.
    `transNo` - The transaction number generated by the call to the execute match method.
    `potentialDuplicates` - An array of potential duplicates created by processing the call to the execute match method.
    `matchFieldChanged` - A Boolean indicator of whether a match field was changed during the match process. True indicates a match field has changed; false indicates a match field did not change.
  Throws:
    None.

Method Detail

### getEUID

    public java.lang.String getEUID()

  Retrieves the EUID in a MatchResult object.

  Parameters:
    None.

  Returns:
    `String` - The EUID of the record modified or created during the transaction.
  Throws:
    None.

### getMatchFieldChanged

    public boolean getMatchFieldChanged()

  Retrieves an indicator of whether a match field was updated during the match process.

  Parameters:
    None.

  Returns:
    `Boolean` - Boolean indicator of whether a match field was changed during the match process. True indicates a match field has changed; false indicates a match field did not change.
  Throws:
    None.

### getPotentialDuplicates

    public PotentialDuplicate[] getPotentialDuplicates()

  Retrieves an array of the potential duplicates (class PotentialDuplidate) in a MatchResult object. If no potential duplicates were generated by executeMatch or executeMatchUpdate, this method returns null.

  Parameters:
    None.

  Returns:
    `PotentialDuplicate[]` - An array list of potential duplicates created during the transaction, or null if none were created.
  Throws:
    None.

### getResultCode

    public int getResultCode()

  Retrieves the result code in a MatchResult object. The result code indicates how records were processed by the match process. The following codes can result:
  - 1 - A new enterprise object was created.
  - 2 - A system and local ID pair matching that of the incoming record was found. The existing record was updated with the new information.
  - 3 - No matching system and local ID pair were found, so a comparison search was performed. An assumed match was found and the existing record was updated.
  - 11 - No matching record was found in the database, but custom processing logic for disallowAdd() is set to true.
  - 12 - A matching record was found in the database, but custom processing logic for disallowUpdate() is set to true.
  - 13 - An assumed match was found in the database, but custom processing logic for rejectAssumedMatch() is set to true.

  Parameters:
    None.

  Returns:
    `int` - The result code indicating how the record was processed.
  Throws:
    None.

### getTransactionNumber

    public java.lang.String getTransactionNumber()

  Retrieves the transaction number in a MatchResult object.

  Parameters:
    None.

  Returns:
    `String` - A transaction number.
  Throws:
    None.

### toString

    public java.lang.String toString()

  Displays a String representation of the match result object.

  Parameters:
    None.

  Returns:
    `String` - A string representation of the match result object.
  Throws:
    None.

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2007 by Sun Microsystems, Inc. All Rights Reserved.